package schedule

import (
	"fmt"
	"leit.com/LAPP_GAAS_GFrame/models"
	"testing"
	"time"
)

// 测试自动调度
func TestScheduler(t *testing.T) {
	var (
		y1,d1 				int
		m1 					time.Month
		schedeng			SchedulerSrv
		startDate, endDate	time.Time
	)
	// 初始化scheduler,默认从当天起计划5天
	y1,m1,d1 	= time.Now().Date()
	startDate 	= time.Date(y1, m1, d1, 0, 0, 0, 0, time.UTC)
	endDate		= startDate.Add(24*5*time.Hour)
	schedeng 	= SchedulerSrv{StartDate: startDate,EndDate: endDate}

	// 加载主数据
	schedeng.LoadWorklineData()
	schedeng.LoadTimemodelData()
	schedeng.LoadSetupData()

	// 加载工单数据
	schedeng.LoadSchedTaskData()

	// 优先处理生产中、已派工和已计划的工单

	// 依次调度未计划工单

}

func TestLastModify(t *testing.T) {
	prodtab := models.OmProdorder{}
	SetTableLastModify(&prodtab,prodtab, MODIFY_MODE_CREATE, "leo")
	fmt.Println(prodtab.Lastuser, prodtab.Createtime)
}
